package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @author ljh
 * @version 1.0
 * Create by 2023/3/16 11:14
 * 小程序订阅消息 成功失败枚举
 */
@Getter
public enum AppletSubscriptionMessageEnum {

    /**
     * 获取 access_token 时 AppSecret 错误，或者 access_token 无效。请开发者认真比对 AppSecret 的正确性，或查看是否正在为恰当的公众号调用接口
     */
    INVALID_CREDENTIAL_ACCESS_TOKEN_ISINVALID_OR_NOT_LATEST(40001),

    /**
     * 不合法的 OpenID ，请开发者确认 OpenID （该用户）是否已关注公众号，或是否是其他公众号的 OpenID
     */
    INVALID_OPENID(40003),

    /**
     * 不合法的 access_token ，请开发者认真比对 access_token 的有效性（如是否过期），或查看是否正在为恰当的公众号调用接口
     */
    INVALID_ACCESS_TOKEN(40014),

    /**
     * 不合法的 template_id
     */
    INVALID_TEMPLATE_ID(40037),

    /**
     * 成功
     */
    SUCCESS(200),

    /**
     * 成功
     */
    SUCCESS_ERRCODE(0);
    final private int value;

    AppletSubscriptionMessageEnum(int value) {
        this.value = value;
    }
}
